package fr.oversimple.example.introvolley;

import android.app.Application;
import com.android.volley.RequestQueue;
import com.android.volley.toolbox.ImageLoader;
import com.android.volley.toolbox.Volley;

/**
 * //TODO : Ajouter description
 *
 * @author pierre@oversimple.fr
 * @version 1.0
 */
public class IntroApplication extends Application {
    private RequestQueue volleyRequestQueue;
    private ImageLoader volleyImageLoader;

    @Override
    public void onCreate() {
        super.onCreate();
        volleyRequestQueue = Volley.newRequestQueue(this);
        volleyImageLoader = new ImageLoader(volleyRequestQueue, new BitmapLruCache());
        volleyRequestQueue.start();
    }

    @Override
    public void onTerminate() {
        volleyRequestQueue.stop();
        super.onTerminate();
    }

    public RequestQueue getVolleyRequestQueue() {
        return volleyRequestQueue;
    }

    public ImageLoader getVolleyImageLoader() {
        return volleyImageLoader;
    }
}