package fr.oversimple.example.introvolley;

import android.util.Log;
import com.android.volley.NetworkResponse;
import com.android.volley.Request;
import com.android.volley.Response;
import com.android.volley.toolbox.HttpHeaderParser;
import org.json.JSONException;
import org.json.JSONObject;

import java.io.UnsupportedEncodingException;
import java.util.Map;

/**
 * //TODO : Ajouter description
 *
 * @author pierre@oversimple.fr
 * @version 1.0
 */
public class JSONParams extends Request<JSONObject> {

    private Response.Listener<JSONObject> listener;
    private Map<String,String> params;

    public JSONParams(String url, Map<String,String> params, Response.Listener<JSONObject> listener, Response.ErrorListener errorListener) {
        super(Method.POST, url, errorListener);
        this.listener = listener;
        this.params = params;
    }

    protected Map<String, String> getParams()
            throws com.android.volley.AuthFailureError {
        return params;
    };

    @Override
    protected Response<JSONObject> parseNetworkResponse(NetworkResponse networkResponse) {
        try {
            String jsonString = new String(networkResponse.data, HttpHeaderParser.parseCharset(networkResponse.headers));
            return Response.success(new JSONObject(jsonString),HttpHeaderParser.parseCacheHeaders(networkResponse));
        } catch (UnsupportedEncodingException e) {
            //TODO
            Log.d(this.getClass().toString(), "parsenetworkresponse error");
            e.printStackTrace();
            return null;
        } catch (JSONException e) {
            //TODO
            e.printStackTrace();
            Log.d(this.getClass().toString(), "parsenetworkresponse error");
            return null;
        }
    }

    @Override
    protected void deliverResponse(JSONObject jsonObject) {
        Log.d(this.getClass().toString(), "deliverResponse : " + jsonObject.toString());
        listener.onResponse(jsonObject);
    }
}
