package fr.oversimple.example.introvolley;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.toolbox.*;
import org.json.JSONObject;

import java.util.HashMap;

public class MainActivity extends Activity implements Response.Listener<JSONObject>, Response.ErrorListener {

    private RequestQueue mVolleyRequestQueue;
    private ImageLoader mVolleyImageLoader;
    /**
     * Called when the activity is first created.
     */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        IntroApplication introApplication = (IntroApplication) getApplication();
        mVolleyRequestQueue = introApplication.getVolleyRequestQueue();
        mVolleyImageLoader = introApplication.getVolleyImageLoader();


        StringRequest stringRequest = new StringRequest("url",new Response.Listener<String>() {
            @Override
            public void onResponse(String s) {
                Log.d("MainActivity","On doit traiter ici la reponse : " + s);
            }
        },new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError volleyError) {
                Log.d("MainActivity","On doit gérer ici l'erreur");
            }
        });
        stringRequest.setTag("identifiantDeMaStringRequest");
        mVolleyRequestQueue.add(stringRequest);
        mVolleyRequestQueue.cancelAll("identifiantDeMaStringRequest");

        HashMap<String,String> map = new HashMap<String, String>();
        map.put("UnParametre","laValeurDuParametre");
        JSONParams jsonParams = new JSONParams("url",map,this,this);
        mVolleyRequestQueue.add(jsonParams);


        NetworkImageView networkImageView = (NetworkImageView) findViewById(R.id.monImage);
        networkImageView.setImageUrl("lienDeLimage",mVolleyImageLoader);

    }

    @Override
    public void onErrorResponse(VolleyError volleyError) {
        Log.d("onErrorResponse","Listener de jsonParams");
    }

    @Override
    public void onResponse(JSONObject jsonObject) {
        Log.d("onResponse","Listener de JSONObject : " + jsonObject.toString());
        //Il faut juste interpreter le resultat du jsonObject
    }
}
